//Wheel Body
difference(){
	cylinder(r=15.5, h=10, $fn=128);
	translate([0,0,3])
	cylinder(r=13.5, h=10, $fn=128);
	
	translate([0,0,-1])
	cylinder(r=25.5 / 2, h=1.5, $fn=128);
	
	translate([0,0,-1])
	cylinder(r=12, h=3, $fn=128);
}

//Hub
difference(){
	cylinder(r=4.43, h=2, $fn=128);
	translate([0,0,-1])
	cylinder(r=2, h=3, $fn=128);
}

SpokeCount=16;
//Spokes
for (i=[1:SpokeCount]){
	rotate([0,0,360 / SpokeCount * i])
	translate([4,-1.35 /2,1.5])
	cube([8,1.35,0.75]);
}

//Counter-weight
translate([-9,-12,1.3])
cube([18,4,1]);

//Pegs
translate([-7,3,3])
cylinder(r=3, h=7, $fn=32);
translate([-7,3,3])
cylinder(r=1.5, h=8.5, $fn=32);
translate([-7,3,11])
cylinder(r1=1.5, r2=4, h=2, $fn=32);

translate([7,3,3])
cylinder(r=3, h=7, $fn=32);
translate([7,3,3])
cylinder(r=1.5, h=8.5, $fn=32);
translate([7,3,11])
cylinder(r1=1.5, r2=4, h=2, $fn=32);

translate([0,-8,3])
cylinder(r=3, h=7, $fn=32);